<!--
  @description: 采购计划日志弹框--产品未使用
  @author: wxy
  @routerPath:
  @date：2020-08-22 14:24:15
-->
<template>
  <el-dialog
    :visible.sync="dialogVisible"
    title="日志追踪"
    width="840px"
    custom-class="el-dialog__body-p8 el-dialog_table"
  >
    <section v-loading="loading">
      <!--日志信息组件-->
      <journalComp :journal-data="flowList" />
    </section>
  </el-dialog>
</template>

<script>
/**   api接口 */
import { queryPlanDetailLog } from '@/api/procurement/datacenterDangtfz'
/* 公共组件 */
import journalComp from '@/views/procurement/components/procurementJournalComp.vue' // 日志组件
export default {
  name: 'ProcurementPlanLogDialog',
  components: {
    journalComp
  },
  data() {
    return {
      loading: true, // loading
      dialogVisible: false, // 弹框是否打开状态
      flowList: [] // 采购计划日志信息
    }
  },
  methods: {
    // 父组件查看--打开弹框-初始化数据
    openDialogInitData(planDetailId) {
      // 获取采购计划日志信息
      this.init(planDetailId)
      this.dialogVisible = true
    },
    // 采购计划日志信息
    init(planDetailId) {
      const data = { planDetailId: planDetailId }
      queryPlanDetailLog(data).then(res => {
        this.flowList = res.data
        this.loading = false
      }).catch(() => {
        this.loading = false
      })
    }
  }
}
</script>

<style>
</style>
